Subject: is RE: [Sigtran] RE: IPSP-IPSP

From: "Javier Pastor-Balbas (ECE)" <[email-masked]>
Date: Mon, 17 Jun 2002 18:45:45 +0200

Hi Reshma, 

See below...

> -----Original Message-----
> From: reshma [mailto:[email-masked]]
> Sent: Monday, June 17, 2002 6:43 PM
> To: Javier Pastor-Balbas (ECE); Tolga Asveren; [email-masked]
> Cc: [email-masked]
> Subject: Re: [Sigtran] RE: IPSP-IPSP
> 
> 
> Hi Javier,
> 
> >
> >  1) In single ended operation does AspId in ASPUP has any 
> significance..?
> > If so when ASPUP clashes from 2 peer IPSPs AspIds might be 
> different.Which
> might lead to misinterpretations later.Is there any need for AspIds in
> IPSPs?
> >
> > [JAVIER:] I'm afraid that ASPIds should be pre-configured. As ASPUP
> message should not be changed, I would suggest that the ASPid 
> from the IPSP
> who is sending the ASPUP message is included there. Each IPSP 
> should already
> know (IMO) by configuration the ASPid of the peer.
> 
> [Reshma] When there is only one ASPUP (if there is no 
> clash)between two
> peers how
> AspId will be exchanged then?
> 
> >
> > 2) Problem with RK REG:If in case (as per Javier opinion) 
> we support RK
> REG in IPSP.In single ended operation suppose IPSP1 sends RK 
> REG with DPC
> 1-1-1 and OPC 2-2-2  and IPSP2 Responds with successfully 
> registered.Then
> for data from IPSP1 to IPSP2 we will have to compare the DPC 
> with OPC and
> vice versa.Whereas for the data from IPSP2 to IPSP1 we will 
> compare DPC with
> DPC and OPC with OPC .This changes the behavior of IPSP at 2 
> ends,which is
> not correct.Then how can we support RK REG?
> >
> > [JAVIER:] I don't see a major problem here. Each IPSP 
> handles local SPCs
> and remote SPCs. In this way the local RK will be seen 
> different at each
> peer. RKs will be composed of <OPC, DPC> where OPC=remoteSPC and
> DPC=localSPC. If one node registers a RK at the peer node it 
> has to take
> into account that the RK expresses the messages that the peer 
> has to send to
> it, that is, the sending node will set <OPC, DPC> where 
> OPC=remoteSPC and
> DPC=localSPC (local refers to the sending node).
> 
> [Reshma] Do you mean when RK REG is sent from IPSP1 to IPSP2
> RK is OPC 1-1-1 and DPC 2-2-2 at IPSP1 and
>           OPC 2-2-2 and DPC 1-1-1 at IPSP2 ?
> 

It is the opposite:

IPSP1 ---REGREQ(RK1)---> IPSP2: 
RK1 refers to the data that IPSP2 should send to IPSP1 => RK1=<2-2-2,1-1-1>  (<OPC,DPC>)

If REGREQ is instead sent in the other direction:

IPSP1 <---REGREQ(RK2)--- IPSP2: 
RK2 refers to the data that IPSP1 should send to IPSP2 => RK2=<1-1-1, 2-2-2>  (<OPC,DPC>) 

Cheers / Javier.

> Thanks,
> Reshma
> 
> 
> >
> > Cheers // Javier.
> >
> >
> > Thanks,
> > reshma
> >
> >
> > _______________________________________________
> > Sigtran mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/sigtran
> 

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran